MRWGraphInternal::State Struct Reference

Internal: the state of a MRWGraph. More...

## Public Member Functions

| State ()
| constructor More...
void | setDefaultPatternList (int version)
| set the default pattern map More...
Zone & | getZone (int id)
| return a reference to a textzone ( if zone not exists, created it ) More...

## Public Attributes

std::map< int, Zone > | m_zoneMap
| a map id -> textZone More...
std::vector< float > | m_patternList
| a list patternId -> percent More...
int | m_numPages

## Detailed Description

Internal: the state of a MRWGraph.

## Constructor & Destructor Documentation

MRWGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

Zone& MRWGraphInternal::State::getZone | ( | int | id | ) |

inline

return a reference to a textzone ( if zone not exists, created it )

void MRWGraphInternal::State::setDefaultPatternList | ( | int | version | ) |

set the default pattern map

## Member Data Documentation

int MRWGraphInternal::State::m_numPages

std::vector<float> MRWGraphInternal::State::m_patternList

a list patternId -> percent

Referenced by setDefaultPatternList().

std::map<int,Zone> MRWGraphInternal::State::m_zoneMap

a map id -> textZone

Referenced by getZone().

The documentation for this struct was generated from the following file:

- MRWGraph.cxx